## org.jfree.chart
Class LegendItem

    java.lang.Object
      org.jfree.chart.LegendItem

All Implemented Interfaces:
  java.io.Serializable

    public class LegendItem

extends java.lang.Object
implements java.io.Serializable

A storage object for recording the properties of a legend item, without any consideration for layout issues. Instances of this class are immutable.

See Also:
  Serialized Form

Constructor Summary
`LegendItem(java.lang.String label, java.lang.String description, boolean shapeVisible, java.awt.Shape shape, boolean shapeFilled, java.awt.Paint fillPaint, boolean shapeOutlineVisible, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, boolean lineVisible, java.awt.Shape line, java.awt.Stroke lineStroke, java.awt.Paint linePaint)` Creates a new legend item.
`LegendItem(java.lang.String label, java.lang.String description, java.awt.Shape shape, java.awt.Paint fillPaint)` Creates a legend item with a filled shape.
`LegendItem(java.lang.String label, java.lang.String description, java.awt.Shape shape, java.awt.Paint fillPaint, java.awt.Stroke outlineStroke, java.awt.Paint outlinePaint)` Creates a legend item with a filled and outlined shape.
`LegendItem(java.lang.String label, java.lang.String description, java.awt.Shape line, java.awt.Stroke lineStroke, java.awt.Paint linePaint)` Creates a legend item using a line.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this item for equality with an arbitrary object.
`java.awt.Paint` `getFillPaint()` Returns the fill paint.
`java.lang.String` `getLabel()` Returns the label.
`java.awt.Shape` `getLine()` Returns the line.
`java.awt.Paint` `getLinePaint()` Returns the paint used for lines.
`java.awt.Stroke` `getLineStroke()` Returns the line stroke for the series.
`java.awt.Paint` `getOutlinePaint()` Returns the outline paint.
`java.awt.Stroke` `getOutlineStroke()` Returns the outline stroke.
`java.awt.Shape` `getShape()` Returns the shape used to label the series represented by this legend item.
`boolean` `isLineVisible()` Returns a flag that indicates whether or not the line is visible.
`boolean` `isShapeFilled()` Returns a flag that controls whether or not the shape is filled.
`boolean` `isShapeOutlineVisible()` Returns the flag that controls whether or not the shape outline is visible.
`boolean` `isShapeVisible()` Returns a flag that indicates whether or not the shape is visible.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegendItem

    public LegendItem(java.lang.String label,
                      java.lang.String description,
                      java.awt.Shape shape,
                      java.awt.Paint fillPaint)

  Creates a legend item with a filled shape. The shape is not outlined, and no line is visible.

  Parameters:
    `label` - the label (`null` not permitted).
    `description` - the description (`null` permitted).
    `shape` - the shape (`null` not permitted).
    `fillPaint` - the paint used to fill the shape (`null` not permitted).

### LegendItem

    public LegendItem(java.lang.String label,
                      java.lang.String description,
                      java.awt.Shape shape,
                      java.awt.Paint fillPaint,
                      java.awt.Stroke outlineStroke,
                      java.awt.Paint outlinePaint)

  Creates a legend item with a filled and outlined shape.

  Parameters:
    `label` - the label (`null` not permitted).
    `description` - the description (`null` permitted).
    `shape` - the shape (`null` not permitted).
    `fillPaint` - the paint used to fill the shape (`null` not permitted).
    `outlineStroke` - the outline stroke (`null` not permitted).
    `outlinePaint` - the outline paint (`null` not permitted).

### LegendItem

    public LegendItem(java.lang.String label,
                      java.lang.String description,
                      java.awt.Shape line,
                      java.awt.Stroke lineStroke,
                      java.awt.Paint linePaint)

  Creates a legend item using a line.

  Parameters:
    `label` - the label (`null` not permitted).
    `description` - the description (`null` permitted).
    `line` - the line (`null` not permitted).
    `lineStroke` - the line stroke (`null` not permitted).
    `linePaint` - the line paint (`null` not permitted).

### LegendItem

    public LegendItem(java.lang.String label,
                      java.lang.String description,
                      boolean shapeVisible,
                      java.awt.Shape shape,
                      boolean shapeFilled,
                      java.awt.Paint fillPaint,
                      boolean shapeOutlineVisible,
                      java.awt.Paint outlinePaint,
                      java.awt.Stroke outlineStroke,
                      boolean lineVisible,
                      java.awt.Shape line,
                      java.awt.Stroke lineStroke,
                      java.awt.Paint linePaint)

  Creates a new legend item.

  Parameters:
    `label` - the label (`null` not permitted).
    `description` - the description (not currently used, `null` permitted).
    `shapeVisible` - a flag that controls whether or not the shape is displayed.
    `shape` - the shape (`null` permitted).
    `shapeFilled` - a flag that controls whether or not the shape is filled.
    `fillPaint` - the fill paint (`null` not permitted).
    `shapeOutlineVisible` - a flag that controls whether or not the shape is outlined.
    `outlinePaint` - the outline paint (`null` not permitted).
    `outlineStroke` - the outline stroke (`null` not permitted).
    `lineVisible` - a flag that controls whether or not the line is visible.
    `line` - the line.
    `lineStroke` - the stroke (`null` not permitted).
    `linePaint` - the line paint (`null` not permitted).

Method Detail

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Returns:
    The label (never `null`).

### isShapeVisible

    public boolean isShapeVisible()

  Returns a flag that indicates whether or not the shape is visible.

  Returns:
    A boolean.

### getShape

    public java.awt.Shape getShape()

  Returns the shape used to label the series represented by this legend item.

  Returns:
    The shape (never `null`).

### isShapeFilled

    public boolean isShapeFilled()

  Returns a flag that controls whether or not the shape is filled.

  Returns:
    A boolean.

### getFillPaint

    public java.awt.Paint getFillPaint()

  Returns the fill paint.

  Returns:
    The fill paint (never `null`).

### isShapeOutlineVisible

    public boolean isShapeOutlineVisible()

  Returns the flag that controls whether or not the shape outline is visible.

  Returns:
    A boolean.

### getLineStroke

    public java.awt.Stroke getLineStroke()

  Returns the line stroke for the series.

  Returns:
    The stroke (never `null`).

### getLinePaint

    public java.awt.Paint getLinePaint()

  Returns the paint used for lines.

  Returns:
    The paint.

### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

  Returns the outline paint.

  Returns:
    The outline paint (never `null`).

### getOutlineStroke

    public java.awt.Stroke getOutlineStroke()

  Returns the outline stroke.

  Returns:
    The outline stroke (never `null`).

### isLineVisible

    public boolean isLineVisible()

  Returns a flag that indicates whether or not the line is visible.

  Returns:
    A boolean.

### getLine

    public java.awt.Shape getLine()

  Returns the line.

  Returns:
    The line.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this item for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.